Loading...
Searching...
No Matches
apr_dbm_t Struct Reference

`#include <apr_dbm_private.h>`

Collaboration diagram for apr_dbm_t:
[legend]

## Data Fields

apr_pool_t * | pool
void * | file
int | errcode
const char * | errmsg
const apr_dbm_type_t * | type

## Detailed Description

The actual DBM

## Field Documentation

## errcode

int apr_dbm_t::errcode

Current integer error code

## errmsg

const char* apr_dbm_t::errmsg

Current string error code

## file

void* apr_dbm_t::file

pointer to DB Implementation Specific data

## pool

apr_pool_t* apr_dbm_t::pool

Associated pool

## type

const apr_dbm_type_t* apr_dbm_t::type

the type of DBM

The documentation for this struct was generated from the following file:

- apr_dbm_private.h